#!/bin/sh
# episoder_plugin_tvtome.sh v0.2.1, http://tools.desire.ch/episoder/
#
# Copyright (c) 2004 Stefan Ott. All rights reserved.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

parse_tvtome() {
    SHOW=`grep '<html><head><title>' $WGETFILE | sed 's/<html><head><title>\(.*\) - Episode List.*/\1/'`
    for episode in `grep '<tr align="center"><td align="right" valign=top class="small">' $WGETFILE | sed 's/\ /_/g'`; do
	if [ "$VERBOSE" ]; then echo -n 'Parsing episode:  '; fi
    	EPISODE_NUMBER=`echo $episode | sed 's/<tr align="center"><td align="right" valign=top class="small">.*<.td><td nowrap valign=top class="small">_\(.*\)<.td>/\1/'`
	print_next_status
    	SEASON_NUMBER=`echo $episode | sed 's/.*_\([0-9]*\)-\([0-9]*\)<\/td>.*/\1/'`
	print_next_status
	EPISODE_NUMBER=`echo $episode | sed 's/.*_\([0-9]*\)-\([0-9]*\)<\/td>.*/\2/' | sed 's/^\([0-9]\)$/0\1/'`
	print_next_status
	EPISODE_DATE=`echo $episode | sed 's/.*nowrap>\(.*\)<.td><td>&nbsp;.*/\1/' | sed 's/.*&nbsp;*//'`
	if [ ! -z "$EPISODE_DATE" ] && [ "$EPISODE_DATE" != "UNAIRED" ]; then
	    print_next_status
	    echo `date +%Y-%m-%d -d ${EPISODE_DATE}` ${SHOW} ${SEASON_NUMBER}x${EPISODE_NUMBER} | sed s/\ /_/g >> $TMPFILE
	    COMMENT="Hit: $SHOW ${SEASON_NUMBER}x${EPISODE_NUMBER}, ${EPISODE_DATE}"
	else
	    COMMENT="Dropped episode ${SEASON_NUMBER}x${EPISODE_NUMBER}, no date"
	fi
	print -e "\bdone ($COMMENT)"
    done
}

match_tvtome() {
    echo $1 | grep 'tvtome'
}

EPISODER_PLUGINS[${#EPISODER_PLUGINS[*]}]='tvtome'
